Get Swagger documentation
GET /obp/v7.0.0/resource-docs/API_VERSION/swagger
OBPv1.4.0-getResourceDocsSwagger No role required DocumentationAPI
Returns documentation about the RESTful resources on this server in Swagger format.
API_VERSION is the version you want documentation about e.g. v3.0.0
You may filter this endpoint using the 'tags' url parameter e.g. ?tags=Account,Bank
(All endpoints are given one or more tags which for used in grouping)
You may filter this endpoint using the 'functions' url parameter e.g. ?functions=getBanks,bankById
(Each endpoint is implemented in the OBP Scala code by a 'function')
See the Resource Doc endpoint for more information.
Note: Resource Docs are cached, TTL is 3600 seconds
Following are more examples: https://obp-api-sandbox.nmbbank.co.tz/obp/v3.1.0/resource-docs/v3.1.0/swagger https://obp-api-sandbox.nmbbank.co.tz/obp/v3.1.0/resource-docs/v3.1.0/swagger?tags=Account,Bank https://obp-api-sandbox.nmbbank.co.tz/obp/v3.1.0/resource-docs/v3.1.0/swagger?functions=getBanks,bankById https://obp-api-sandbox.nmbbank.co.tz/obp/v3.1.0/resource-docs/v3.1.0/swagger?tags=Account,Bank,PSD2&functions=getBanks,bankById
User Authentication is Optional. The User need not be logged in.
URL Parameters:
API_VERSION:
JSON response body fields (0)
Possible errors (1)
- OBP-50000: Unknown Error.